Download it now!
Bug 121352 - Calc red comment indicator is too large and obscures cell values
Summary: Calc red comment indicator is too large and obscures cell values
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Comments Calc-UX
  Show dependency treegraph
 
Reported: 2018-11-11 12:45 UTC by wizzycode
Modified: 2020-08-11 17:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Bug reproduced (7.54 KB, image/png)
2018-11-11 12:56 UTC, wizzycode
Details
The result of LibreOffice 6.1 (28.26 KB, image/jpeg)
2018-11-12 07:52 UTC, Dieudonne Dukuzumuremyi
Details
The result of LibreOffice Version: 6.2.0.0.alpha1+ (x64) (25.85 KB, image/jpeg)
2018-11-12 07:53 UTC, Dieudonne Dukuzumuremyi
Details
Result on Microsoft office 2010 (23.34 KB, image/jpeg)
2018-11-12 07:53 UTC, Dieudonne Dukuzumuremyi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wizzycode 2018-11-11 12:45:45 UTC
Description:
The red comment indicator obscures the cell values, making it very hard to read the last digit in the cell even though the indicator is semi-transparent. 

This is very noticeable with lower zoom levels, e.g. 60% and makes the sheet unusable.

Also tested with LibreOffice 6.2 Alpha 1 and the problem still exists.

Steps to Reproduce:
1. Create a new sheet.
2. Add a number to a cell, e.g. 100
3. Add a comment to the same cell.
4. Change the zoom level to 60%

Actual Results:
The last digit in the cell is obsured by the red comment indicator making it very hard to read as it covers a large portion of the last digit.

Expected Results:
The solution is quite simple, the red comment indicator should be moved to the top right corner of the cell (no space between the border and the indicator), and made smaller. This is in fact what OpenOffice does and works well even at low zoom levels.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
If my understanding of the code is correct it seems that this line (2224) in core/sc/source/ui/view/output.cxx method DrawNoteMarks() needs to be modified:

 rRenderContext.DrawRect( tools::Rectangle( nMarkX-5*nLayoutSign,nPosY,nMarkX+1*nLayoutSign,nPosY+6 ) );

The OpenOffice equivalent is:
pDev->DrawRect( Rectangle( nMarkX,nPosY,nMarkX+2*nLayoutSign,nPosY+2 ) );

OpenOffice is using a much better red comment rectangle size and position, can a similar approach be taken for LibreOffice?
Comment 1 wizzycode 2018-11-11 12:56:41 UTC
Created attachment 146536 [details]
Bug reproduced
Comment 2 Roman Kuznetsov 2018-11-11 16:57:51 UTC
I'm not sure that it's a bug.

People, what do you think about it "problem" and about solution from wizzycode@virginmedia.com ?
Comment 3 Dieudonne Dukuzumuremyi 2018-11-12 07:48:59 UTC Comment hidden (obsolete)
Comment 4 Dieudonne Dukuzumuremyi 2018-11-12 07:50:54 UTC
I have tried all the same steps on:

1. LibreOffice:
- Version: 6.1.2.1 (x64)
- Version: 6.2.0.0.alpha1+ (x64)

On both versions on the same zoom size(75), I got the same bug as reported.
However, i think this is not a bug, it is because of the accuracy of the minimum and maximum zoom with the red sign of comment.

Version: 6.1.2.1 (x64)
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 8; OS: Windows 6.3; UI render: default; 
Locale: en-US (en_US); Calc: group threaded

Version: 6.2.0.0.alpha1+ (x64)
Build ID: 8274c4c62df5b937b3f0bec9e1eeca85f3b219d4
CPU threads: 8; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-22_01:47:50
Locale: en-US (en_US); Calc: threaded


2. Microsoft Office 2010:
On Microsoft, it looks well placed.
and the red sign of comment doesn't cover the last number
Comment 5 Dieudonne Dukuzumuremyi 2018-11-12 07:52:11 UTC
Created attachment 146553 [details]
The result of LibreOffice 6.1
Comment 6 Dieudonne Dukuzumuremyi 2018-11-12 07:53:04 UTC
Created attachment 146554 [details]
The result of LibreOffice Version: 6.2.0.0.alpha1+ (x64)
Comment 7 Dieudonne Dukuzumuremyi 2018-11-12 07:53:48 UTC
Created attachment 146555 [details]
Result on Microsoft office 2010
Comment 8 Heiko Tietze 2018-11-12 08:04:54 UTC
Agreed, the size of this indicator has to take the zoom level into account (extremes 20% and 200% don't work).
Comment 9 wizzycode 2018-11-12 13:26:00 UTC
I agree that the correct solution would be to make the indicator size take account of the zoom level so it gets smaller as the zoom gets lower - Microsoft Excel actually does this and works very well at all zoom levels. In addition maybe the indicator can be moved more to the top right corner of the cell border.
Comment 10 QA Administrators 2019-11-13 03:32:40 UTC
Dear wizzycode,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug